Subject: Re: [PATCH v5] net: ip, diag -- Add diag interface for raw sockets

From: Cyrill Gorcunov <[email-masked]>
Date: Wed, 28 Sep 2016 15:57:53 +0300

On Wed, Sep 28, 2016 at 08:50:31AM -0400, Jamal Hadi Salim wrote:
> struct tcp_info.

Yeah I see. As I said naming pads will be safe but to do so we
will have to compile on every arch we support and make sure the
implicit pad remains here.

> Sorry - i didnt mean to drag this for long; but the more i think
> about it, the union is a pragmatic approach.

Sure, lets keep it as is.